View Issue Details

IDProjectCategoryView StatusLast Update
0000069SOGoWeb Calendarpublic2016-03-22 10:45
Reporterfrancis Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.0.3 
Fixed in Version3.1.0 
Summary0000069: Repeating events are not shown in "All Events" or "All Future Events"
Description

In the top pane, when the user choose "All Events" or "All Future Events", none of the repeating events are shown. This is also the behavior of Lightning.

However, it would be nice to compute and show the next occurrence of each of the repeating events.

Additional Information

See http://mtn.inverse.ca/revision/diff/2ec2bb218c1f6876ffaba4bb7f29f652a1080446/with/3c522ae41fe50f5ebe60bb22d26f407dc4c942d4

TagsNo tags attached.

Relationships

has duplicate 0000430 resolvedludovic view all and view all future events should list the master instance of recurring events 
has duplicate 0003191 resolvedludovic Recurring events not displayed in "All events" and "all future events" 
has duplicate 0003263 resolvedludovic event list and search in web calendar incomplete 
has duplicate 0003358 resolvedludovic Events and tasks with repetitions are not shown in the list. 
has duplicate 0003395 new Event overview and search not working as expected 
related to 0001513 resolvedjraby add sogo-tool the ability to truncate calendar 

Activities

Christian Mack

Christian Mack

2014-07-25 08:47

developer   ~0007349

This is fixed a long time ago.
Should be closed.

francis

francis

2014-07-25 08:55

administrator   ~0007350

This ticket is still valid; no repeating events appear when "All Events" or "All Future Events" is selected.

rhertel

rhertel

2014-12-03 09:17

reporter   ~0007767

Any new information about this issue?

It's still a problem in version 2.2.10

Christian Mack

Christian Mack

2016-01-19 10:17

developer   ~0009301

In private conversation Ludovic stated:
"we could calculate 1 year before/after for recurring events, based on current date"

Seems sensible to us.

Related Changesets

sogo: master 2c038d64

2016-03-22 10:44:23

ludovic

Details Diff
(fix) show repeating events when we ask for "All" or "Future" events (fixes 0000069) Affected Issues
0000069
mod - NEWS Diff File
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff File

Issue History

Date Modified Username Field Change
2009-07-20 10:39 francis New Issue
2014-07-25 08:47 Christian Mack Note Added: 0007349
2014-07-25 08:55 francis Note Added: 0007350
2014-07-25 09:16 francis Relationship added has duplicate 0000430
2014-12-03 09:17 rhertel Note Added: 0007767
2015-01-22 04:52 Christian Mack Relationship added related to 0001513
2015-04-29 06:37 francis Relationship added has duplicate 0003191
2015-07-15 09:03 Christian Mack Relationship added has duplicate 0003263
2015-10-06 06:01 Christian Mack Relationship added has duplicate 0003358
2016-01-18 09:57 Christian Mack Relationship added has duplicate 0003395
2016-01-19 10:17 Christian Mack Note Added: 0009301
2016-03-22 10:45 ludovic Changeset attached => sogo master 2c038d64
2016-03-22 10:45 ludovic Assigned To => ludovic
2016-03-22 10:45 ludovic Resolution open => fixed
2016-03-22 10:45 ludovic Status new => resolved
2016-03-22 10:45 ludovic Fixed in Version => 3.1.0